SENSIBLE-MDA(8)

NAME
sensible-mda - a generic local MDA router for Debian systems

SYNOPSIS
sensible-mda from to detail client-addr

DESCRIPTION
sensible-mda is used to simplify the installation and configuration of sendmail(8) , or other MTAs for use on Debian systems. With sensible-mda, sendmail can support a plethora of MDAs (procmail, maildrop, deliver, etc.) without having pick any one of them as required.

FUNCTION
sensible-mda is called by sendmail as a local mailer when the following exists in sendmail.mc:
define(`LOCAL_MAILER_ARGS', `sensible-mda $g $u $h ${client_addr}')dnl

sensible-mda will look for the following MDAs (in this order), and pass the mail on to the first SUID MDA found (Or first found MDA, if run w/euid=root): procmail(1), maildrop(1), deliver(8), mail.local(8)

OPTIONS
Available command line options are the following:

from
    The sender of this email (sendmail $g variable)

to  The recipient of this email (sendmail $u variable)

detail
    The detail portion of the recipient userid (sendmail $h variable) - ie:
    cowboy+sendmail@debian.org

client-addr
    TCP/IP address of the sender (sendmail ${client_addr} variable) Not used (for the nonce)

FILES

/etc/mail/sendmail.mc
    sendmail m4 input to generate sendmail.cf

/etc/mail/sendmail.cf
    actual sendmail configuration file (treated as a binary file)

SEE ALSO
sendmail(8), procmail(1), maildrop(1), deliver(8), mail.local(8)

BUGS
None known so far.

AUTHOR
Richard Nelson <cowboy@debian.org>

HISTORY